=== debian/changelog ===
pg-gvm (22.4.0-2) unstable; urgency=medium

  * Source -only upload

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 23 Jan 2023 10:16:43 +0100

pg-gvm (22.4.0-1) unstable; urgency=medium

  * Initial release (Closes: #1026796)

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 28 Dec 2022 09:54:18 +0100
