=== debian/control ===
Source: pg-gvm
Section: libs
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Rules-Requires-Root: no
Build-Depends:
 cmake (>= 3.0),
 debhelper-compat (= 13),
 libical-dev (>= 1.0),
 libgvm-dev (>= 22.4.1),
 pkg-config,
 postgresql-all
Standards-Version: 4.6.2
Homepage: https://github.com/greenbone/pg-gvm
Vcs-Browser: https://salsa.debian.org/pkg-security-team/pg-gvm
Vcs-Git: https://salsa.debian.org/pkg-security-team/pg-gvm.git

Package: pg-gvm
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: ${Postgresql:Recommends},
Provides: ${Postgresql:Provides}
Description: functionality for ical object manipulation
 The Greenbone Vulnerability Manager is the central management service between
 security scanners and the user clients.
 .
 It manages the storage of any vulnerability management configurations and of
 the scan results. Access to data, control commands and workflows is offered
 via the XML-based Greenbone Management Protocol (GMP). The primary scanner,
 openVAS Scanner is controlled directly via protocol OTP while any other remote
 scanner is coupled with the Open Scanner Protocol (OSP).
 .
 pg-gvm contains functionality for ical object manipulation for PostgreSQL.
