## pg-gvm 22.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2020-2021 Greenbone Networks GmbH
+# Copyright (C) 2020-2021 Greenbone AG
 #
 # SPDX-License-Identifier: GPL-3.0-or-later
 #
@@ -20,7 +20,7 @@
 message ("-- Configuring PostgreSQL extension for GVMd functions...")
 
 project(pg-gvm
-        VERSION 22.4.0
+        VERSION 22.5.1
         LANGUAGES C)
 
 # List all sourcefiles
@@ -76,7 +76,7 @@
 
 # Set dev version if this is a development version and not a full release,
 # unset (put value 0 or delete line) before a full release and reset after.
-set (PROJECT_DEV_VERSION 1)
+set (PROJECT_DEV_VERSION 0)
 
 # If PROJECT_DEV_VERSION is set, the version string will be set to:
 #   "major.minor.patch~dev${PROJECT_DEV_VERSION}${GIT_REVISION}"
@@ -87,8 +87,12 @@
   set (PROJECT_VERSION_SUFFIX "~dev${PROJECT_DEV_VERSION}")
 endif (PROJECT_DEV_VERSION)
 
-set (PROJECT_VERSION_STRING 
+set (PROJECT_VERSION_STRING
 "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}${PROJECT_VERSION_SUFFIX}${GIT_REVISION}")
+
+# All versions with this API are compatible
+# If an sql update is required the minor version MUST be increased
+set (PROJECT_API_VERSION "${CMAKE_PROJECT_VERSION_MAJOR}.${CMAKE_PROJECT_VERSION_MINOR}")
 
 # Check if pg_config is available
 find_program(PGCONFIG pg_config)
@@ -128,7 +132,7 @@
 set(CONTROLOUT "pg-gvm.control")
 
 # Set SQL output file using the version to match postgres conventions
-set(SQLOUT "pg-gvm--${PROJECT_VERSION}.sql")
+set(SQLOUT "pg-gvm--${PROJECT_API_VERSION}.sql")
 
 # Determine the postgres lib dirs
 execute_process(COMMAND ${PGCONFIG} --sharedir OUTPUT_VARIABLE PostgreSQL_SHARE_DIR OUTPUT_STRIP_TRAILING_WHITESPACE)
@@ -153,7 +157,7 @@
 set (CPACK_PACKAGE_VERSION "${PROJECT_VERSION_STRING}${PROJECT_VERSION_GIT}")
 set (CPACK_PACKAGE_FILE_NAME "${PROJECT_NAME}-${CPACK_PACKAGE_VERSION}")
 set (CPACK_SOURCE_PACKAGE_FILE_NAME "${PROJECT_NAME}-${CPACK_PACKAGE_VERSION}")
-set (CPACK_PACKAGE_VENDOR "Greenbone Networks GmbH")
+set (CPACK_PACKAGE_VENDOR "Greenbone AG")
 set (CPACK_SOURCE_IGNORE_FILES
 "${CMAKE_BINARY_DIR}"
 "/.git/"
@@ -164,11 +168,6 @@
 add_library (${CMAKE_PROJECT_NAME} MODULE ${SRCS})
 
 # Prepare control file
-#add_custom_command(
-	#OUTPUT ${CONTROLOUT}
-	#COMMAND cat ${CONTROLIN} | sed -e's/LIBNAME/${CMAKE_PROJECT_NAME}/'  > ${CMAKE_BINARY_DIR}/${CONTROLOUT}
-	#WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
-	#DEPENDS ${CONTROLIN})
 configure_file (${CONTROLIN} ${CONTROLOUT})
 
 # Prepare SQL file
@@ -191,11 +190,13 @@
   )
   install(FILES "${CMAKE_BINARY_DIR}/${CONTROLOUT}" DESTINATION "${CMAKE_INSTALL_DEV_PREFIX}/share/postgresql/extension")
   install(FILES "${CMAKE_BINARY_DIR}/${SQLOUT}" DESTINATION "${CMAKE_INSTALL_DEV_PREFIX}/share/postgresql/extension")
-  install(FILES "${CMAKE_SOURCE_DIR}/sql/update/pg-gvm--1.0--22.4.0.sql" DESTINATION "${CMAKE_INSTALL_DEV_PREFIX}/share/postgresql/extension")
+  file(GLOB SQL_UPDATE_FILES ${CMAKE_SOURCE_DIR}/sql/update/*.sql)
+  install(FILES ${SQL_UPDATE_FILES} DESTINATION "${CMAKE_INSTALL_DEV_PREFIX}/share/postgresql/extension")
   message(NOTICE "${CMAKE_PROJECT_NAME} installed with prefix. Run ${CMAKE_INSTALL_DEV_PREFIX}/sbin/pg-gvm-make-dev-links as root to create symlinks to this installation.")
 else (CMAKE_INSTALL_DEV_PREFIX)
   install(TARGETS ${CMAKE_PROJECT_NAME} DESTINATION "${PostgreSQL_EXTLIB_DIR}")
   install(FILES "${CMAKE_BINARY_DIR}/${CONTROLOUT}" DESTINATION "${PostgreSQL_SHARE_DIR}/extension")
   install(FILES "${CMAKE_BINARY_DIR}/${SQLOUT}" DESTINATION "${PostgreSQL_SHARE_DIR}/extension")
-  install(FILES "${CMAKE_SOURCE_DIR}/sql/update/pg-gvm--1.0--22.4.0.sql" DESTINATION "${PostgreSQL_SHARE_DIR}/extension")
+  file(GLOB SQL_UPDATE_FILES ${CMAKE_SOURCE_DIR}/sql/update/*.sql)
+  install(FILES ${SQL_UPDATE_FILES} DESTINATION "${PostgreSQL_SHARE_DIR}/extension")
 endif (CMAKE_INSTALL_DEV_PREFIX)
