=== debian/changelog ===
pg-gvm (22.5.1-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 02:15:37 +0200

pg-gvm (22.5.1-0kali1) kali-experimental; urgency=medium

  * New upstream version 22.5.1
  * Update debian/copyright

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 22 Jun 2023 10:55:57 +0200
