=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  cmake (>= 3.0),
  debhelper-compat (= 13),
  libical-dev (>= 1.0),
- libgvm-dev (>= 22.4.1),
+ libgvm-dev (>= 22.5.3),
  pkg-config,
  postgresql-all
 Standards-Version: 4.6.2
