## pg-gvm 22.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 message ("-- Configuring PostgreSQL extension for GVMd functions...")
 
 project(pg-gvm
-        VERSION 22.5.1
+        VERSION 22.6.2
         LANGUAGES C)
 
 # List all sourcefiles
@@ -52,7 +52,7 @@
 # Check if libical is installed
 pkg_check_modules (LIBICAL REQUIRED libical>=1.00)
 pkg_check_modules (GLIB REQUIRED glib-2.0>=2.42)
-pkg_check_modules (LIBGVM_BASE REQUIRED libgvm_base>=22.4)
+pkg_check_modules (LIBGVM_BASE REQUIRED libgvm_base>=22.6)
 
 if (NOT CMAKE_BUILD_TYPE)
   set (CMAKE_BUILD_TYPE Debug)
