=== debian/changelog ===
pg-gvm (22.6.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:17:19 +1100

pg-gvm (22.6.2-1build1) noble; urgency=medium

  * No change rebuild against libgvm22t64

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Fri, 22 Mar 2024 12:28:59 +0100

pg-gvm (22.6.2-1) unstable; urgency=medium

  [ Christoph Berg ]
  * Convert to PostgreSQL extension packaging standards (Closes: #1052177):
    + Build for all supported PostgreSQL versions using pg_buildext.
    + Rename binary package to postgresql-PGVERSION-pg-gvm.
    + Conflicts/Replaces: pg-gvm.
  * debian/tests: Run regression tests using pgtap.

  [ Sophie Brun ]
  * New upstream version 22.6.2
  * Update minimal required version of libgvm-dev
  * Update debian/copyright
  * Update Breaks and Replaces versions for compatibility with Kali packages

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 19 Sep 2023 10:36:16 +0200
