=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: pg-gvm
 Section: libs
 Priority: optional
-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Sophie Brun <sophie@offensive-security.com>
 Rules-Requires-Root: no
 Build-Depends:
  cmake (>= 3.0),
  debhelper-compat (= 13),
  libical-dev (>= 1.0),
- libgvm-dev (>= 22.5.3),
+ libgvm-dev (>= 22.6.0),
  pkg-config,
  postgresql-all
 Standards-Version: 4.6.2
@@ -16,14 +17,16 @@
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/pg-gvm
 Vcs-Git: https://salsa.debian.org/pkg-security-team/pg-gvm.git
 
-Package: pg-gvm
+Package: postgresql-16-pg-gvm
 Architecture: any
 Depends:
+ ${postgresql:Depends},
  ${shlibs:Depends},
  ${misc:Depends},
-Recommends: ${Postgresql:Recommends},
-Provides: ${Postgresql:Provides}
-Description: functionality for ical object manipulation
+Provides: pg-gvm
+Conflicts: pg-gvm (<< 22.6.2-1~)
+Replaces: pg-gvm (<< 22.6.2-1~)
+Description: PostgreSQL extension for ical object manipulation
  The Greenbone Vulnerability Manager is the central management service between
  security scanners and the user clients.
  .
