=== debian/tests/control ===
Tests: pg-gvm
Depends:
 @,
 libtap-parser-sourcehandler-pgtap-perl,
 postgresql-16-pgtap,
Restrictions: allow-stderr
