=== debian/changelog ===
pg-gvm (22.6.5-2.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 19 Sep 2024 10:23:24 +0200

pg-gvm (22.6.5-2) unstable; urgency=medium

  * Update for PostgreSQL 17 (Closes: #1082120)
  * Bump Standards-Version to 4.7.0 (no change)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 19 Sep 2024 10:23:24 +0200

pg-gvm (22.6.5-1) unstable; urgency=medium

  * New upstream version 22.6.5
  * Replace obsolete package pkg-config with pkgconf
  * Make the build reproducible (Closes: #1068173), thanks to Chris Lamb

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 23 Apr 2024 16:16:48 +0200
