=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pg-gvm
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Sophie Brun <sophie@offensive-security.com>
 Rules-Requires-Root: no
 Build-Depends:
@@ -10,12 +9,138 @@
  debhelper-compat (= 13),
  libical-dev (>= 1.0),
  libgvm-dev (>= 22.6.0),
- pkg-config,
+ pkgconf,
  postgresql-all
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/greenbone/pg-gvm
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/pg-gvm
 Vcs-Git: https://salsa.debian.org/pkg-security-team/pg-gvm.git
+
+Package: postgresql-10-pg-gvm
+Architecture: any
+Depends:
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+ ${misc:Depends},
+Provides: pg-gvm
+Conflicts: pg-gvm (<< 22.6.2-1~)
+Replaces: pg-gvm (<< 22.6.2-1~)
+Description: PostgreSQL extension for ical object manipulation
+ The Greenbone Vulnerability Manager is the central management service between
+ security scanners and the user clients.
+ .
+ It manages the storage of any vulnerability management configurations and of
+ the scan results. Access to data, control commands and workflows is offered
+ via the XML-based Greenbone Management Protocol (GMP). The primary scanner,
+ openVAS Scanner is controlled directly via protocol OTP while any other remote
+ scanner is coupled with the Open Scanner Protocol (OSP).
+ .
+ pg-gvm contains functionality for ical object manipulation for PostgreSQL.
+
+Package: postgresql-11-pg-gvm
+Architecture: any
+Depends:
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+ ${misc:Depends},
+Provides: pg-gvm
+Conflicts: pg-gvm (<< 22.6.2-1~)
+Replaces: pg-gvm (<< 22.6.2-1~)
+Description: PostgreSQL extension for ical object manipulation
+ The Greenbone Vulnerability Manager is the central management service between
+ security scanners and the user clients.
+ .
+ It manages the storage of any vulnerability management configurations and of
+ the scan results. Access to data, control commands and workflows is offered
+ via the XML-based Greenbone Management Protocol (GMP). The primary scanner,
+ openVAS Scanner is controlled directly via protocol OTP while any other remote
+ scanner is coupled with the Open Scanner Protocol (OSP).
+ .
+ pg-gvm contains functionality for ical object manipulation for PostgreSQL.
+
+Package: postgresql-12-pg-gvm
+Architecture: any
+Depends:
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+ ${misc:Depends},
+Provides: pg-gvm
+Conflicts: pg-gvm (<< 22.6.2-1~)
+Replaces: pg-gvm (<< 22.6.2-1~)
+Description: PostgreSQL extension for ical object manipulation
+ The Greenbone Vulnerability Manager is the central management service between
+ security scanners and the user clients.
+ .
+ It manages the storage of any vulnerability management configurations and of
+ the scan results. Access to data, control commands and workflows is offered
+ via the XML-based Greenbone Management Protocol (GMP). The primary scanner,
+ openVAS Scanner is controlled directly via protocol OTP while any other remote
+ scanner is coupled with the Open Scanner Protocol (OSP).
+ .
+ pg-gvm contains functionality for ical object manipulation for PostgreSQL.
+
+Package: postgresql-13-pg-gvm
+Architecture: any
+Depends:
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+ ${misc:Depends},
+Provides: pg-gvm
+Conflicts: pg-gvm (<< 22.6.2-1~)
+Replaces: pg-gvm (<< 22.6.2-1~)
+Description: PostgreSQL extension for ical object manipulation
+ The Greenbone Vulnerability Manager is the central management service between
+ security scanners and the user clients.
+ .
+ It manages the storage of any vulnerability management configurations and of
+ the scan results. Access to data, control commands and workflows is offered
+ via the XML-based Greenbone Management Protocol (GMP). The primary scanner,
+ openVAS Scanner is controlled directly via protocol OTP while any other remote
+ scanner is coupled with the Open Scanner Protocol (OSP).
+ .
+ pg-gvm contains functionality for ical object manipulation for PostgreSQL.
+
+Package: postgresql-14-pg-gvm
+Architecture: any
+Depends:
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+ ${misc:Depends},
+Provides: pg-gvm
+Conflicts: pg-gvm (<< 22.6.2-1~)
+Replaces: pg-gvm (<< 22.6.2-1~)
+Description: PostgreSQL extension for ical object manipulation
+ The Greenbone Vulnerability Manager is the central management service between
+ security scanners and the user clients.
+ .
+ It manages the storage of any vulnerability management configurations and of
+ the scan results. Access to data, control commands and workflows is offered
+ via the XML-based Greenbone Management Protocol (GMP). The primary scanner,
+ openVAS Scanner is controlled directly via protocol OTP while any other remote
+ scanner is coupled with the Open Scanner Protocol (OSP).
+ .
+ pg-gvm contains functionality for ical object manipulation for PostgreSQL.
+
+Package: postgresql-15-pg-gvm
+Architecture: any
+Depends:
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+ ${misc:Depends},
+Provides: pg-gvm
+Conflicts: pg-gvm (<< 22.6.2-1~)
+Replaces: pg-gvm (<< 22.6.2-1~)
+Description: PostgreSQL extension for ical object manipulation
+ The Greenbone Vulnerability Manager is the central management service between
+ security scanners and the user clients.
+ .
+ It manages the storage of any vulnerability management configurations and of
+ the scan results. Access to data, control commands and workflows is offered
+ via the XML-based Greenbone Management Protocol (GMP). The primary scanner,
+ openVAS Scanner is controlled directly via protocol OTP while any other remote
+ scanner is coupled with the Open Scanner Protocol (OSP).
+ .
+ pg-gvm contains functionality for ical object manipulation for PostgreSQL.
 
 Package: postgresql-16-pg-gvm
 Architecture: any
@@ -37,3 +162,24 @@
  scanner is coupled with the Open Scanner Protocol (OSP).
  .
  pg-gvm contains functionality for ical object manipulation for PostgreSQL.
+
+Package: postgresql-17-pg-gvm
+Architecture: any
+Depends:
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+ ${misc:Depends},
+Provides: pg-gvm
+Conflicts: pg-gvm (<< 22.6.2-1~)
+Replaces: pg-gvm (<< 22.6.2-1~)
+Description: PostgreSQL extension for ical object manipulation
+ The Greenbone Vulnerability Manager is the central management service between
+ security scanners and the user clients.
+ .
+ It manages the storage of any vulnerability management configurations and of
+ the scan results. Access to data, control commands and workflows is offered
+ via the XML-based Greenbone Management Protocol (GMP). The primary scanner,
+ openVAS Scanner is controlled directly via protocol OTP while any other remote
+ scanner is coupled with the Open Scanner Protocol (OSP).
+ .
+ pg-gvm contains functionality for ical object manipulation for PostgreSQL.
