=== debian/tests/control ===
Tests: pg-gvm
Depends:
 @,
 libtap-parser-sourcehandler-pgtap-perl,
 postgresql-10-pgtap, postgresql-11-pgtap, postgresql-12-pgtap, postgresql-13-pgtap, postgresql-14-pgtap, postgresql-15-pgtap, postgresql-16-pgtap, postgresql-17-pgtap,
Restrictions: allow-stderr
