## pg-gvm 22.6.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 message ("-- Configuring PostgreSQL extension for GVMd functions...")
 
 project(pg-gvm
-        VERSION 22.6.5
+        VERSION 22.6.8
         LANGUAGES C)
 
 # List all sourcefiles
