=== debian/changelog ===
pg-gvm (22.6.8-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 26 Mar 2025 11:30:34 +0100

pg-gvm (22.6.8-1) unstable; urgency=medium

  * New upstream version 22.6.8
  * Refresh patches
  * Bump Standards-Version to 4.7.2 (no change)

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 26 Mar 2025 11:30:34 +0100
