=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libgvm-dev (>= 22.6.0),
  pkgconf,
  postgresql-all
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/greenbone/pg-gvm
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/pg-gvm
 Vcs-Git: https://salsa.debian.org/pkg-security-team/pg-gvm.git
