=== debian/changelog ===
pg-gvm (22.6.11-2) unstable; urgency=medium

  * Build for postgresql 18 (Closes: #1117280)
  * Update debian/watch to Version 5

 -- Sophie Brun <sophie@kali.org>  Fri, 31 Oct 2025 12:32:26 +0100

pg-gvm (22.6.11-1) unstable; urgency=medium

  * Update my email
  * New upstream version 22.6.11
  * Refresh patches

 -- Sophie Brun <sophie@kali.org>  Thu, 14 Aug 2025 14:15:11 +0200
