=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with pgxs

override_dh_auto_configure:
	set -eux; \
	for pgversion in $(shell pg_buildext supported-versions); do \
		dh_auto_configure -B"build-$$pgversion" -- \
			-DCMAKE_BUILD_TYPE=Release \
			-DPGCONFIG=/usr/lib/postgresql/$$pgversion/bin/pg_config \
			-DPostgreSQL_TYPE_INCLUDE_DIR=/usr/include/postgresql; \
	done

override_dh_pgxs_test:
	# defer testing to autopkgtest
