## pg-gvm 22.6.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 message("-- Configuring PostgreSQL extension for GVMd functions...")
 
-project(pg-gvm VERSION 22.6.11 LANGUAGES C)
+project(pg-gvm VERSION 22.6.12 LANGUAGES C)
 
 # List all sourcefiles
 set(
