=== debian/changelog ===
pg-gvm (22.6.12-1) unstable; urgency=medium

  * Add missing dep for autopkgtest
  * New upstream version 22.6.12
  * Refresh patches

 -- Sophie Brun <sophie@kali.org>  Thu, 08 Jan 2026 12:04:17 +0100
