=== debian/tests/control ===
Tests: pg-gvm
Depends:
 @,
 libtap-parser-sourcehandler-pgtap-perl,
 postgresql-18-pgtap,
 postgresql-common-dev
Restrictions: allow-stderr
